#jinja2:variable_start_string:'[%' , variable_end_string:'%]'
---
- name: terminate instance
  hosts: all
  user: root
  gather_facts: False

  vars:
  - OS_AUTH_URL: http://172.23.0.2:5000/v2.0
  - OS_TENANT_NAME: copr
  - OS_USERNAME: msuchy
  - OS_PASSWORD: [% copr_nova_password %]

  tasks:
  - name: terminate it
    local_action: nova_compute auth_url={{OS_AUTH_URL}} login_password={{OS_PASSWORD}} login_tenant_name={{OS_TENANT_NAME}} login_username={{OS_USERNAME}} name="{{copr_task.vm_name}}" state=absent


